using HotelContracts.BindingModels;
using HotelContracts.SearchModels;
using HotelContracts.ViewModels;

namespace HotelContracts.BusinessLogicsContracts;

public interface ICleaningInstrumentsLogic
{
    List<CleaningInstrumentsViewModel>? ReadList(CleaningInstrumentsSearchModel? model);
    CleaningInstrumentsViewModel? ReadElement(CleaningInstrumentsSearchModel model);
    bool Create(CleaningInstrumentsBindingModel model);
    bool Update(CleaningInstrumentsBindingModel model);
    bool Delete(CleaningInstrumentsBindingModel model);
}